> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a transactional group

> Create a new transactional group to organize related transactional emails by feature, product, or team for cleaner reporting and management.

## Request

### Body

<ParamField body="name" type="string" required>
  The group name. Cannot be the reserved name `"Unsorted"`.
</ParamField>

<ParamField body="description" type="string">
  An optional description for the group.
</ParamField>

## Response

### Success

<ResponseField name="id" type="string" required>
  The transactional group ID.
</ResponseField>

<ResponseField name="name" type="string" required>
  The group name.
</ResponseField>

<ResponseField name="description" type="string" required>
  The group description.
</ResponseField>

<ResponseField name="createdAt" type="string" required>
  ISO 8601 timestamp for when the group was created.
</ResponseField>

<ResponseField name="updatedAt" type="string" required>
  ISO 8601 timestamp for when the group was last updated.
</ResponseField>

### Error

If the request body is invalid, or if the group name is reserved, a
`400 Bad Request` is returned.

If the API key is invalid (or content API is not enabled for your team), a
`401 Unauthorized` is returned.

<ResponseField name="message" type="string" required>
  An error message describing what went wrong.
</ResponseField>

<ResponseExample>
  ```json Response theme={"dark"}
  {
    "id": "tgrp_01hxyz",
    "name": "Account emails",
    "description": "Password resets and verification emails",
    "createdAt": "2026-03-28T15:00:00.000Z",
    "updatedAt": "2026-03-28T15:00:00.000Z"
  }
  ```

  ```json Error response theme={"dark"}
  {
    "message": "Group name is reserved."
  }
  ```
</ResponseExample>
